using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
//Using Direktive für die ShellTile API
using Microsoft.Phone.Shell;

namespace Tiles
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void buttonPatrick_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/Patrick.xaml", UriKind.Relative));
        }

        private void buttonPeter_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/Peter.xaml", UriKind.Relative));
        }

        private void buttonSimon_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/Simon.xaml",UriKind.Relative));
        }

        private void buttonAppTile_Click(object sender, RoutedEventArgs e)
        {
            //Das ApplicationTile ist immer das erste Tile in der Aufzählung
            ShellTile appTile = ShellTile.ActiveTiles.First();
            //Festlegen der Option über die StandardTileDate Klasse
            StandardTileData data = new StandardTileData
            {
                //Die Anzahl der derzeitigen Tiles auf der Vorderseite anzeigen
                Count = ShellTile.ActiveTiles.Count(),
                //Eine Grafik für die Rückseite festlegen
                BackBackgroundImage = new Uri("Images/AppTileBackground.png", UriKind.Relative),
                //Einen Titel für die Rückseite vergeben
                BackTitle = "Rückseite"
            };
            appTile.Update(data);
        }
    }
}